Bug Hunting Session
Bug 59956 - LibO FILEOPEN dialog with unclear path pane function
Summary: LibO FILEOPEN dialog with unclear path pane function
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LO-File-Dialog
  Show dependency treegraph
 
Reported: 2013-01-28 05:54 UTC by Rainer Bielefeld Retired
Modified: 2019-05-14 02:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-28 05:54:20 UTC
Steps how to reproduce [Reproducible] with server installation of  "Version 4.1.0.0.alpha0+ (Build ID: 2823789bec0c029d9714aff0ed65923e23177ef) TinderBox: Win-x86@6, Branch:master, Pull Time: 2013-01-24_22:52:49" ENGLISH UI / German Locale  on German WIN7 Home Premium (64bit) with LO41 Masters User Profile:

1. Launch LibO
2. If necessary: Menu 'Tools -> Options -> LibO -> General - 
   Use LibO Files open/save Dialogs <ok>'
3. Menu 'File'
   > File menu opens, shows a path in the pate at the top matching with 
     selected path in 'Places' pane
4. Click into path pane at the top
5. Try arrowup / arrowdown keys
   > you can "scroll" through several paths, what are similar to the ones 
     that can be seen in the 'File name' pane (check this later), not
     only paths, also document names shown
6. With an arbitrary, but not step 3 contents in Path pane: <Enter>
   Expected: Title pane contents changes to show files in selected path
             or anything else useful
   Actual: Error message " .... unknown or does not exist"

This "scroll" function for path pane seems useful for nothing?
Looks similar to view of title pane due to "Bug 59504 - LibO FILEOPEN dialog with missing "recently opened documents" pulldown", where the pulldown button is missing, but a pulldown button here would be useless as long as the selection has no function at all.

This problem already started when we got the new dialog somwhere between 3.5 and 3.6 in the old 3.6 Master
Comment 1 Jorendc 2013-07-02 22:04:12 UTC
I can confirm this is quite unclear and not that useful (to me). Marking as NEW.
With up and down arrow I 'scroll' through recently used documents. Click enter result in error: '<path+filename> is not a directory.'


Kind regards,
Joren
Comment 2 A (Andy) 2014-10-02 09:16:11 UTC
reproducible with LO 4.3.2.2 (Win 8.1)

To scroll up or down only selects recently used files and if you then press the Enter key an error message returns "<file> does not exist", but the file is existing.
Comment 3 QA Administrators 2015-10-14 19:56:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.1 or preferably 5.0.2.2 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-10-14
Comment 4 QA Administrators 2019-05-14 02:56:16 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug